Create a new Authorization
POST
https://api.neuroscale.io/v2.0/authorizations
To create a new Authorization send a JSON-encoded object containing initial values for the following attributes:
| Name | Type | Description |
|---|---|---|
| description | String | Description of the Authorization. |
| properties | Object / Hash | User-editable object of key-value pairs that can be used to add arbitrary tags to the Authorization (for personal use). |
| scopes | Array of Strings | Scopes defining the set of permissions for the Authorization. See NeuroScale Platform API v1 for further information. |
Authentication¶
Type: HTTP basic authentication
Required credentials: Account username and password
Responses¶
Example response — 201¶
{
"access_token": "bc24733f-170f-44b3-92b5-f2184e9b3013",
"created_at": 1445963052,
"description": "Description of Authorization",
"id": "auth_wshGn7n8necYXgqWDfwgYc",
"object": "authorization",
"properties": {
"key_1": "value_1",
"key_2": "value_2"
},
"scopes": [
"instance",
"pipeline",
"user"
],
"updated_at": 1445963052,
"user": "usr_ZTNc2sEjoq6JoEgPNFUg6g"
}